Subject: Re: [E1000-devel] discussion questions: SR-IOV, virtualization, and bonding

From: Chris Friesen <[email-masked]>
Date: Thu, 02 Aug 2012 17:15:28 -0600

On 08/02/2012 05:01 PM, Jay Vosburgh wrote:
> Chris Friesen<[email-masked]>  wrote:

> 	Still, though, isn't "influence the guest's choice" pretty much
> satisified by having the VF interface go carrier down in the guest when
> the host wants it to?  Or are you thinking about more fine grained than
> that?

That was the first thing we started looking at.

It would actually be better technically (since it would use the 
back-channel between PF and VFs rather than needing an explicit virtual 
network link between host/guest) but it would require work in all the 
PF/VF drivers.  We'd need to get support from all the driver maintainers.

The main advantage of doing it in bonding is that we'd only need to 
modify the code in one place.

Chris